Download it now!
Bug 74792 - FILESAVE: DOCX: Smart-Art with images loses images in RT
Summary: FILESAVE: DOCX: Smart-Art with images loses images in RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: pallavi.jadhav
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-10 13:58 UTC by pallavi.jadhav
Modified: 2014-03-17 11:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Contains SmartArt List with Image inside it. (124.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-10 13:58 UTC, pallavi.jadhav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-02-10 13:58:59 UTC
Created attachment 93775 [details]
Contains SmartArt List with Image inside it.

Steps to Reproduce :
1] Open attached DOCX in LO
2] Perform save_as
3] Open saved file in MS Office 2010

Current behavior :
LO does not preserve "SmartArt having Images inside it".

Expected behavior :
LO should preserve "SmartArt having Images inside it".

XML difference :
RT file does not contain word/diagrams/_rels folder, which stores relationship Ids for Images in SmartArt.
Hence media folder is also missing.
Comment 1 Jorendc 2014-02-10 22:13:17 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5c8a3bfc7e42009a7eaa6353cf2f66a14bfdab76
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-10_10:33:47

Kind regards,
Joren
Comment 2 Commit Notification 2014-03-05 09:14:47 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6536826f2f4c747582d60ed40b0418c6a67a9829

fdo#74792 [DOCX] Grab-bag rels and images for SmartArt



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-03-17 11:27:02 UTC
All images are preserved after roundtripping, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 88955714d345d8584e86ae34bf5f5d1f3f4af9f7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-15_04:16:49

Thanks for fixing!
Joren